package com.ruoyi.project.training.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.domain.TWorkcertificateCbps;

/**
 * 作业证书一览Mapper接口
 *
 * @author ruoyi
 * @date 2023-07-14
 */
public interface TWorkcertificateCbpsMapper
{
    /**
     * 查询作业证书一览
     *
     * @param id 作业证书一览ID
     * @return 作业证书一览
     */
    public TWorkcertificateCbps selectTWorkcertificateCbpsById(Long id);

    /**
     * 查询作业证书一览列表
     *
     * @param tWorkcertificateCbps 作业证书一览
     * @return 作业证书一览集合
     */
    @DataScope(deptAlias = "d")
    public List<TWorkcertificateCbps> selectTWorkcertificateCbpsList(TWorkcertificateCbps tWorkcertificateCbps);

    /**
     * 新增作业证书一览
     *
     * @param tWorkcertificateCbps 作业证书一览
     * @return 结果
     */
    public int insertTWorkcertificateCbps(TWorkcertificateCbps tWorkcertificateCbps);

    /**
     * 修改作业证书一览
     *
     * @param tWorkcertificateCbps 作业证书一览
     * @return 结果
     */
    public int updateTWorkcertificateCbps(TWorkcertificateCbps tWorkcertificateCbps);

    /**
     * 修改作业证书一览
     *
     * @param tWorkcertificateCbps 作业证书一览
     * @return 结果
     */
    public int updateTWorkcertificateCbpsByStaffId(TWorkcertificateCbps tWorkcertificateCbps);
    /**
     * 删除作业证书一览
     *
     * @param id 作业证书一览ID
     * @return 结果
     */
    public int deleteTWorkcertificateCbpsById(Long id);

    /**
     * 批量删除作业证书一览
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTWorkcertificateCbpsByIds(Long[] ids);

    List<String> queryNeedDeleteIds();

    List<String> queryNeedInsertIds();

    int deleteTWorkcertificateCbpsByStaffId(String id);

    Map<String,Object> selectDateNotNull();

    Map<String, Object> selectDateWarn();
}
